Subject: bug#71865: [PATCH] New user option `fill-sentence-end-double-space`

From: Jeremy Bryant <[email-masked]>
Date: Sat, 06 Jul 2024 22:46:07 +0100

Stefan Kangas <[email-masked]> writes:

> Jeremy Bryant <[email-masked]> writes:
>
>> I tried this example but would be interested in a clearer statement of
>> the problem.  Does M-a, M-e not work as intended?
>
> Thanks, and yes indeed, the `M-a' and `M-e' doesn't work as I'd hope if
> you evaluate this in emacs -Q:
>
>     (progn (insert "Foo. Bar. Baz.")
>            (goto-char (pos-bol))
>            (forward-sentence))
>
> Point is now at the third period, after "Baz".
>
> I think that there are some users [this one included] that will want to
> set
>
>     (setq sentence-end-double-space nil)
>
> to make point end up at the second period instead, after "Bar", yet they
> do _not_ want this paragraph to be refilled to use only one space
> between sentences:
>
>     Foo.  Bar.  Baz.
>
> In other words, the problem is that `sentence-end-double-space' controls
> both filling and sentence commands.  This rectifies that by introducing
> a new variable that allows controlling the filling commands separately.
>
> Does that make the problem more clear?

Thanks, I understand your point of view.

However it seems consistent to me that a user who wishes to terminate
sentences with one space, would generally want to reflow to adhere to
the one space convention.  The same would apply if working on documents
that happen to adhere to that convention.

However as this new option doesn't seem to break anything and introduce
flexibility, it could be a good idea.  I'll let others comment.